Bug 186462 - Copy file via sftp:// is really slow
Copy file via sftp:// is really slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 13:11 EST by Otto Rey
Modified: 2008-05-06 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otto Rey 2006-03-23 13:11:25 EST
Description of problem:
Copy file via sftp:// is really slow compared to others ssh file copy tools like
mc vfs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Copy a big file to a ssh filesystem "conection". See the speed
2. Copy a big file to a ssh filesystem VFS in Midnight Commander and see the speed.
3. Compare both.
  
Actual results:
Copied, but really very slow

Expected results:
Copied at reasonable speed.

Additional info:
Comment 1 John Thacker 2006-04-27 17:53:26 EDT
Can you test this with the new gnome-vfs2-2.14.1-1.fc5.2 update which 
was just released?  It has some fixes to improve sftp performance.
Comment 2 Otto Rey 2006-04-28 14:41:48 EDT
I test a copy of 228581282 bytes (7 rpm files - 218 MB aprox) from Fedora Core 5
to a Solaris via ssh:

gnome-vfs2-2.14.1-1.fc5.2 : 126 seconds
Midnigth commander : 44 seconds

Maybe MC use some trick like compression or something to speed up transfer...
but i dont know.
Comment 3 petrosyan 2008-03-10 22:42:48 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 4 Bug Zapper 2008-04-03 22:12:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:37:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.